X
點擊此處開啟此網站的行動版。

技術支援討論區

How do I enable Java in Firefox 3.6.11? (The "Enable Java" box in Preferences->Content" disappeared. I lost important functionality (IPMI console from all my servers). Thanks, gus@ldeo.columbia.edu

已張貼

Firefox 3.6.1 32 bit on an Opteron (x86_64) machine running Linux CentOS 5.2, kernel 2.6.18-92.1.22.el5 #1 SMP. I tried also the 64-bit Firefox RPM but the same problem happens.

Firefox 3.6.1 32 bit on an Opteron (x86_64) machine running Linux CentOS 5.2, kernel 2.6.18-92.1.22.el5 #1 SMP. I tried also the 64-bit Firefox RPM but the same problem happens.

被選擇的解決方法

You posted with a Firefox 3.0.15 version and in that version you still have the Edit > Preferences > Content > Java check box.

In Firefox 3.6 the Java plugin is treated just like all other plugins and no longer has a enable check box in Tools > Options > Content.
You can enable or disable all plugins including Java via Tools > Add-ons > Plugins


In Firefox 3.6 and later versions you need the Next-Generation Java™ Plug-In present in Java 6 U10 and later (Linux: libnpjp2.so; Windows: npjp2.dll).

ln -s /usr/local/java/jre1.6.0_20/lib/i386/libnpjp2.so libnpjp2.so
ln -s /usr/lib/jvm/jre/lib/i386/libnpjp2.so /usr/lib/mozilla/plugins/libnpjp2.so (java-1_6_0-sun-plugin)
從原來的回覆中察看解決方案 24

額外的系統細節

已安裝的外掛程式

  • Shockwave Flash 10.1 r85

應用程式

  • User Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.9.0.15) Gecko/2009102704 Fedora/3.0.15-1.fc10 Firefox/3.0.15

更多資訊

I installed Sun/Oracle Java JRE (latest) and made a soft link to
on my .mozilla/plugin directory.
There is no place in the "preferences" menu to enable Java anymore.
In older versions of Firefox there was.
The Supermicro IPMI web page doesn't open the console and says "Browser doesn't have Java!"
The IPMI Java console is a main system administration tool,
allows remote access to the servers, reboot them and keep track of the
boot process, errors, etc. I is very bad that this functionality is lost. We bought IPMI exactly to get this! Please help.
Thank you.
Gus Correa (gus@ldeo.columbia.edu)

cor-el
  • Top 10 Contributor
  • Moderator
17476 個解決方法 157949 個答案

選擇的解決方法

You posted with a Firefox 3.0.15 version and in that version you still have the Edit > Preferences > Content > Java check box.

In Firefox 3.6 the Java plugin is treated just like all other plugins and no longer has a enable check box in Tools > Options > Content.
You can enable or disable all plugins including Java via Tools > Add-ons > Plugins


In Firefox 3.6 and later versions you need the Next-Generation Java™ Plug-In present in Java 6 U10 and later (Linux: libnpjp2.so; Windows: npjp2.dll).

ln -s /usr/local/java/jre1.6.0_20/lib/i386/libnpjp2.so libnpjp2.so
ln -s /usr/lib/jvm/jre/lib/i386/libnpjp2.so /usr/lib/mozilla/plugins/libnpjp2.so (java-1_6_0-sun-plugin)
You posted with a Firefox 3.0.15 version and in that version you still have the Edit > Preferences > Content > Java check box. In Firefox 3.6 the Java plugin is treated just like all other plugins and no longer has a enable check box in Tools > Options > Content.<br /> You can enable or disable all plugins including [[Java]] via Tools > Add-ons > Plugins ----- In Firefox 3.6 and later versions you need the Next-Generation Java™ Plug-In present in Java 6 U10 and later (Linux: libnpjp2.so; Windows: npjp2.dll). * http://java.com/en/download/faq/firefox_newplugin.xml * http://java.sun.com/javase/6/webnotes/install/jre/manual-plugin-install-linux.html ln -s /usr/local/java/jre1.6.0_20/lib/i386/libnpjp2.so libnpjp2.so ln -s /usr/lib/jvm/jre/lib/i386/libnpjp2.so /usr/lib/mozilla/plugins/libnpjp2.so (java-1_6_0-sun-plugin)

提出問題者

Thank you very much for sending the correct information, the right name of the *NEW* Java plugin ($JRE/lib/i386/libnpjp2.so). Everything works now: Java, my IPMI consoles, etc!

As others may face the same problem, and get also lost looking for the right information, the right link to make, I just want to point out that the "Enable and Configure" information in the JRE download page is out of date. It would be great if it were fixed. It still recommends a soft link to the *old* plugin ($JRE/plugin/i386/ns7/libjavaplugin_oji.so):

http://www.java.com/en/download/help/linux_install.xml#enable

Many thanks again for your great help. Gus

Thank you very much for sending the correct information, the right name of the *NEW* Java plugin ($JRE/lib/i386/libnpjp2.so). Everything works now: Java, my IPMI consoles, etc! As others may face the same problem, and get also lost looking for the right information, the right link to make, I just want to point out that the "Enable and Configure" information in the JRE download page is out of date. It would be great if it were fixed. It still recommends a soft link to the *old* plugin ($JRE/plugin/i386/ns7/libjavaplugin_oji.so): http://www.java.com/en/download/help/linux_install.xml#enable Many thanks again for your great help. Gus
cor-el
  • Top 10 Contributor
  • Moderator
17476 個解決方法 157949 個答案

You're welcome

You're welcome
carmlennon 0 個解決方法 1 個答案

有幫助的回覆

hey, i am damn idiot and your instructions are unreadable - simple request: enable java????

hey, i am damn idiot and your instructions are unreadable - simple request: enable java????